Welcome to the Forum Archive!

Years of conversation fill a ton of digital pages, and we've kept all of it accessible to browse or copy over. Whether you're looking for reveal articles for older champions, or the first time that Rammus rolled into an "OK" thread, or anything in between, you can find it here. When you're finished, check out the boards to join in the latest League of Legends discussions.

GO TO BOARDS


Script for installing LoL in Ubuntu 10.10 (Wine)

123
Comment below rating threshold, click here to show it.

MasterCQ

Member

11-18-2010

If you're video card cannot handle the overhead caused by using Wine, you may lag quite a bit.

Also, I'd like to mention that this doesn't keep in line with Ubuntu's package manager. Is this because of the patch needed? If so, please make sure that its not in 3.7 which is already out.


Comment below rating threshold, click here to show it.

MasterCQ

Member

11-19-2010

Um... I looked over the script and to be honest, its rather poorly made. It doesn't do any checking (like a normal package manager would) plus 1.3.7 already includes this patch if I'm not mistaken so installing a vanilla Wine server through your package manager is probably more reliable.

I wouldn't use this script, however much work he put into it.


Comment below rating threshold, click here to show it.

Myrnodin

Junior Member

11-19-2010

Quote:
MasterCQ:
[...] 1.3.7 already includes this patch if I'm not mistaken so installing a vanilla Wine server through your package manager is probably more reliable...


Indeed if 1.3.7 includes that patch it would be wiser to use a wine installation from the repos. Perhaps someone can confirm this? or get an official source? Anyhow, some work must still be done to get the lastest version from the repositories; heres what to do:

http://www.winehq.org/download/deb

Note: I havnt tried LoL with wine 1.3.7 personally so i can not confirm that it includes said patch.


Comment below rating threshold, click here to show it.

SkilltiK

Junior Member

12-03-2010

Hi, I run the script and I could install the game, works well, but in a game looks like this:

capture (http://sphotos.ak.fbcdn.net/hphotos-ak-ash2/hs608.ash2/156011_122519454478668_100001618433386_153688_1944393_n.jpg)

You have no idea because it can be?

thanks in advance


Comment below rating threshold, click here to show it.

murkYuri

Member

12-04-2010

how does this work? change the name to .sh and run it?


Comment below rating threshold, click here to show it.

SkilltiK

Junior Member

12-05-2010

Quote:
Ashy Knuttz:
how does this work? change the name to .sh and run it?


yes change the name to .sh, grant execute permissions (chmod +x file.sh) and run.


Comment below rating threshold, click here to show it.

SkilltiK

Junior Member

12-05-2010

I already solved my problem, it was an option within the game.
Works Well, the only bad thing is the frames per second, I have 1 or 2 FPS :-/


Comment below rating threshold, click here to show it.

Buckethead911

Junior Member

01-06-2011

Quote:
Myrnodin:
Hey guys. Im a Linux user, and LoL Summoner. I used to play long ago in Windows, but when i switched to Linux i had to quit, because playing in wine was either too glichy or too complicated. Recently however, i decided to give it a try again in Linux, and i got LoL to work almost as good as in Windows. (few minor glitches remain).

....



Thank You!


Comment below rating threshold, click here to show it.

Eldurian

Recruiter

02-04-2011

I tried the script but it didn't run completely, so I deleted everything and started to install the latest wine and will use the script as a guide on steps to take later, skipping the patch.

I've tried to run LoL in wine before with no success and with a windows xp guest of wirtual box and on a win7 guest in vmware... all attempts seam to be close to achieving the goal... but up-till now... no luck. I don't understand why riot doesn't dedicate a couple of their developers to this for... a week? and give us a nice script? or inform us of the best solution they could find?

I mean, I'm really thankful to Myrnodin for making this effort, but it is an amateur script attempt and I bet it wouldn't cost riot too much to read all the brainstorming that the forums have supplied and then (with their source code in hand) publish a script that installs wine (if you don't already have it)
configures it i.e. winetricks (saving a copy of your old configs just in case, if you have any)
runs the LoL installer (in the best way they test it to work)


I'm writing this while I make yet another attempt to use LoL with wine and I wonder why in the script Myrnodin installs ie6 instead of a newer version? is it on purpose or the product of copy-paste programming? same question goes with win2k, why set windows as windows 2000 instead of any newer version? (ok i get vista and 7 might bring complications, but why not xp?)
... I'm using ie6 and win2k just in case, but my question stands.

Well... for various reasons I need to restart, if I get it to work I'll post again, if I dont.. well you know what happened.
--
Eldurian


Comment below rating threshold, click here to show it.

Myrnodin

Junior Member

02-07-2011

Quote:
Eldurian:

I'm writing this while I make yet another attempt to use LoL with wine and I wonder why in the script Myrnodin installs ie6 instead of a newer version? is it on purpose or the product of copy-paste programming? same question goes with win2k, why set windows as windows 2000 instead of any newer version? (ok i get vista and 7 might bring complications, but why not xp?)
... I'm using ie6 and win2k just in case, but my question stands.

Well... for various reasons I need to restart, if I get it to work I'll post again, if I dont.. well you know what happened.
--
Eldurian


Hi Eldurian, I agree with your opinion on how Riot Games should make life easier for us. About the script complexity degree, I really have no time nor knowledge to make a complex script that encompasses every single possibility when installing LoL, thats why, in my first post, i asked people to contribute to it.

Regarding your questions, the version is set to Win2k in order to avoid few issues which appear if you keep ir in WinXP or higher. (i cant recall exactlly which are those, but they are somewhere here in the forums). About ie6, it is used because it is the smallest and simpliest ie compatible with LoL, I tried with higher versions, but no real difference resulted.


123